Bullet Collision Detection & Physics Library: DebugDrawcallback Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Private Attributes | List of all members
DebugDrawcallback Class Reference
Inheritance diagram for DebugDrawcallback:
[legend]
Collaboration diagram for DebugDrawcallback:
[legend]

## Public Member Functions
| DebugDrawcallback (btIDebugDraw *debugDrawer, const btTransform &worldTrans, const btVector3 &color)
virtual void | internalProcessTriangleIndex (btVector3 *triangle, int partId, int triangleIndex)
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()
Public Member Functions inherited from btInternalTriangleIndexCallback
virtual | ~btInternalTriangleIndexCallback ()

## Private Attributes
btIDebugDraw * | m_debugDrawer
btVector3 | m_color
btTransform | m_worldTrans

## Detailed Description

Definition at line 1260 of file btCollisionWorld.cpp.

## Constructor & Destructor Documentation

## ◆ DebugDrawcallback()

DebugDrawcallback::DebugDrawcallback | ( | btIDebugDraw * | debugDrawer,
|  | const btTransform & | worldTrans,
|  | const btVector3 & | color )
| inline

Definition at line 1267 of file btCollisionWorld.cpp.

## Member Function Documentation

## ◆ internalProcessTriangleIndex()

virtual void DebugDrawcallback::internalProcessTriangleIndex | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex )
| inlinevirtual

Implements btInternalTriangleIndexCallback.

Definition at line 1273 of file btCollisionWorld.cpp.

## ◆ processTriangle()

virtual void DebugDrawcallback::processTriangle | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex )
| inlinevirtual

Implements btTriangleCallback.

Definition at line 1278 of file btCollisionWorld.cpp.

## Member Data Documentation

## ◆ m_color

btVector3 DebugDrawcallback::m_color
| private

Definition at line 1263 of file btCollisionWorld.cpp.

## ◆ m_debugDrawer

btIDebugDraw* DebugDrawcallback::m_debugDrawer
| private

Definition at line 1262 of file btCollisionWorld.cpp.

## ◆ m_worldTrans

btTransform DebugDrawcallback::m_worldTrans
| private

Definition at line 1264 of file btCollisionWorld.cpp.

The documentation for this class was generated from the following file:

- btCollisionWorld.cpp